
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>开发人员学Linux(7)：CentOS7编译安装PHP并配置PHP-FPM / 憋错料</title>

    <meta name="description" content="开发人员学Linux(7)：CentOS7编译安装PHP并配置PHP-FPM 1.前言上一篇讲述了如何编译安装MySQL,虽然可以通过yum install 或者rpm来安装,但是yum install和rpm安装有一个特点,就是有些参数是别人根据大众需求定制的,如果需要进行自己的特定参数指定,这个是比较难做到的,因此有一定Linux基础的人都是编译安装或者根据公司的具体环境制作适合环境的安装包.上一篇的例子中讲述了如何编译安装和如何配置多实例,并在最后讲述了如何配置主从复制配置.以前开源开发经常将LAMP,就是Linux+Apache+MySQL+PHP,对于一些起步型">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">开发人员学Linux(7)：CentOS7编译安装PHP并配置PHP-FPM</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>1.前言</strong><br />上一篇讲述了如何编译安装MySQL，虽然可以通过yum install 或者rpm来安装，但是yum install和rpm安装有一个特点，就是有些参数是别人根据大众需求定制的，如果需要进行自己的特定参数指定，这个是比较难做到的，因此有一定Linux基础的人都是编译安装或者根据公司的具体环境制作适合环境的安装包。上一篇的例子中讲述了如何编译安装和如何配置多实例，并在最后讲述了如何配置主从复制配置。<br />以前开源开发经常将LAMP，就是Linux+Apache+MySQL+PHP，对于一些起步型的公司来说LAMP可以满足他们的所有幻想：既可以响应一定规模的用户，对硬件的要求也很小。现在随着Nginx的兴起，LAMP变成了LNMP，即Linux+Nginx+MySQL+PHP，因此本篇将讲述如何编译安装PHP并且使用php-fpm来让Nginx支持PHP。<br /><strong>2.准备</strong><br /><strong>2.1下载PHP5.6.3源码</strong><br />考虑到很多开源PHP还在用PHP5版本，因此这里以PHP5.6.3版本的编译安装为例：<br />下载：</p>
<pre>wget&nbsp;http://cn2.php.net/distributions/php-5.6.3.tar.gz</pre>
<p><strong>2.2WordPress中文版</strong><br />WordPress是一个非常著名的个人博客系统，这里用它来验证我们的php-fpm配置正确与否。<br />下载：</p>
<pre>wget&nbsp;https://cn.wordpress.org/wordpress-4.7.4-zh_CN.zip</pre>
<p><strong>2.3安装依赖库</strong></p>
<pre>yum&nbsp;install&nbsp;gcc&nbsp;automake&nbsp;autoconf&nbsp;libtool&nbsp;make&nbsp;–y
yum&nbsp;install&nbsp;gcc&nbsp;gcc-c++&nbsp;glibc&nbsp;–y
yum&nbsp;install&nbsp;libmcrypt-devel&nbsp;mhash-devel&nbsp;libxslt-devel&nbsp;–y
yum&nbsp;install&nbsp;libjpeg&nbsp;libjpeg-devel&nbsp;libpng&nbsp;libpng-devel&nbsp;freetype&nbsp;freetype-devel&nbsp;libxml2&nbsp;libxml2-devel&nbsp;–y
yum&nbsp;install&nbsp;zlib&nbsp;zlib-devel&nbsp;glibc&nbsp;glibc-devel&nbsp;glib2&nbsp;glib2-devel&nbsp;bzip2&nbsp;bzip2-devel&nbsp;–y
yum&nbsp;install&nbsp;ncurses&nbsp;ncurses-devel&nbsp;curl&nbsp;curl-devel&nbsp;e2fsprogs&nbsp;e2fsprogs-devel&nbsp;-y
yum&nbsp;install&nbsp;krb5&nbsp;krb5-devel&nbsp;libidn&nbsp;libidn-devel&nbsp;openssl&nbsp;openssl-devel&nbsp;-y</pre>
<p>注：上面有些依赖库在上一篇中已经安装了，为省事我在这里又一股脑列上了，在实际安装过程中如果本地已经安装了就不会再次安装和下载了。<br /><strong>3.编译和设置</strong><br /><strong>3.1编译文件</strong><br />假定下载的php-5.6.3.tar.gz位于/root目录下，首先解压文件：</p>
<pre>tar&nbsp;zxvf&nbsp;/root/php-5.6.3.tar.gz</pre>
<p>然后执行configure:</p>
<pre>cd&nbsp;/root/php-5.6.3
./configure&nbsp;--prefix=/usr/local/php&nbsp;&nbsp;--enable-fpm&nbsp;--with-mcrypt&nbsp;--enable-mbstring&nbsp;--disable-pdo&nbsp;--with-curl&nbsp;--disable-debug&nbsp;&nbsp;--disable-rpath&nbsp;--enable-inline-optimization&nbsp;--with-bz2&nbsp;&nbsp;--with-zlib&nbsp;--enable-sockets&nbsp;--enable-sysvsem&nbsp;--enable-sysvshm&nbsp;--enable-pcntl&nbsp;--enable-mbregex&nbsp;--with-mhash&nbsp;--enable-zip&nbsp;--with-pcre-regex&nbsp;--with-mysql&nbsp;--with-mysqli&nbsp;--with-gd&nbsp;--with-jpeg-dir&nbsp;-with-gettext&nbsp;--enable-xml&nbsp;--enable-freetype</pre>
<p>如果依赖库都安装了就不会报错，如果提示缺少依赖库就用yum install 来安装。在上面的参数中：<br />--prefix=/usr/local/php：表示将来程序安装在/usr/local/php目录；<br />--enable-fpm：表示启用php-fpm模块，不启用这个nginx就没办法将php页面请求转发个nginx处理了。<br />接着执行：</p>
<pre>make
make&nbsp;install</pre>
<p>因为源代码有点多，编译需要一点时间，请耐性等待。成功之后在/usr/local下会新建php文件夹，其文件目录结构如下：</p>
<pre>[[email&#160;protected]&nbsp;~]#&nbsp;ls&nbsp;-l&nbsp;/usr/local/php
total&nbsp;0
drwxr-xr-x&nbsp;2&nbsp;root&nbsp;root&nbsp;147&nbsp;Jun&nbsp;&nbsp;7&nbsp;23:38&nbsp;bin
drwxr-xr-x&nbsp;2&nbsp;root&nbsp;root&nbsp;&nbsp;71&nbsp;Jun&nbsp;12&nbsp;22:13&nbsp;etc
drwxr-xr-x&nbsp;3&nbsp;root&nbsp;root&nbsp;&nbsp;17&nbsp;Jun&nbsp;&nbsp;7&nbsp;23:12&nbsp;include
drwxr-xr-x&nbsp;3&nbsp;root&nbsp;root&nbsp;&nbsp;85&nbsp;Jun&nbsp;12&nbsp;22:12&nbsp;lib
drwxr-xr-x&nbsp;4&nbsp;root&nbsp;root&nbsp;&nbsp;28&nbsp;Jun&nbsp;&nbsp;7&nbsp;23:12&nbsp;php
drwxr-xr-x&nbsp;2&nbsp;root&nbsp;root&nbsp;&nbsp;21&nbsp;Jun&nbsp;&nbsp;7&nbsp;23:12&nbsp;sbin
drwxr-xr-x&nbsp;4&nbsp;root&nbsp;root&nbsp;&nbsp;28&nbsp;Jun&nbsp;&nbsp;7&nbsp;23:12&nbsp;var</pre>
<p><strong>3.2配置</strong><br /><strong>3.2.1php.ini配置</strong><br />首先将刚才解压的文件夹中将php.ini-development拷贝到/usr/local/php/lib目录并命名为php.ini：</p>
<pre>cp&nbsp;&nbsp;/root/php-5.6.3/php.ini-development&nbsp;/usr/local/php/lib/php.ini</pre>
<p>注意：在开发服务器将php.ini-development改为php.ini，如果是生产服务器建议将php.ini-production改为php.ini, php.ini-production与php.ini-development相比是关闭了一些调试输出，这在生产环境中可以减少日志文件的体积和提高性能，在开发环境中建议还是打开以便于调试。在接下来的讲解中是基于开发环境配置的。<br />对php.ini做如下更改：<br />error_reporting = E_ALL &amp; ~E_NOTICE ;输出调试信息和通知<br />error_log = /usr/local/php/var/log/error-log.log ;错误日志存放位置<br />date.timezone = "Asia/Shanghai"; 这句原本是” ;date.timezone =”，需要去掉其注释并设置为中国时区<br /><strong>3.2.2php-fpm.conf配置</strong><br />首先将/usr/local/php/ etc/php-fpm.conf.default拷贝一份并命名为php-fpm.conf:</p>
<pre>cd&nbsp;/usr/local/php
cp&nbsp;etc/php-fpm.conf.default&nbsp;etc/php-fpm.conf</pre>
<p>接着对php-fpm.conf做如下更改：<br />;pid = run/php-fpm.pid这一句取消注释，并改为：pid = /usr/local/php/var/run/php-fpm.pid；<br />;error_log = log/php-fpm.log这一句取消注释，并改为：error_log = /usr/local/php/var/log/error-log.log<br />user = nobody改为：user = nginx<br />group = nobody改为：group = nginx<br />;catch_workers_output = yes这一句取消注释，改为：catch_workers_output = yes<br />php-fpm可执行文件在/usr/local/php/sbin目录下，可以通过/usr/local/php/sbin来执行监听，默认是监听9000端口。<br /><strong>4.安装WordPress</strong><br /><strong>4.1数据库准备</strong> <br /><strong>4.1.1启动MySQL数据库</strong><br />为了观察上一篇我们的Master-slave配置效果，这次我们将两个数据库实例都启动：</p>
<pre>/usr/local/mysql-5.7.18/data/3306/mysql&nbsp;start
/usr/local/mysql-5.7.18/data/3307/mysql&nbsp;start</pre>
<p><strong>4.1.2MySQL数据库准备</strong><br />为了信息安全，专门在主数据库实例上创建一个名为wordpress的库，并为wordpress库配置一个数据库账户，命令如下：</p>
<pre>create&nbsp;database&nbsp;wordpress;
grant&nbsp;all&nbsp;privileges&nbsp;on&nbsp;wordpress.*&nbsp;to&nbsp;[email&#160;protected]&nbsp;identified&nbsp;by&nbsp;‘WordPress‘;flush&nbsp;privileges;</pre>
<p>即新建wordpress库，同时新建wordpress数据库账号，账户密码为WordPress，拥有对wordpress库的全部权限。<br /><strong>4.2WordPress站点及域名解析配置</strong><br /><strong>4.2.1解压缩WordPress</strong><br />假设wordpress-4.7.4-zh_CN.zip在/root目录下，执行以下命令来解压文件：</p>
<pre>cd&nbsp;~
tar&nbsp;zxvf&nbsp;./wordpress-4.7.4-zh_CN.tar.gz</pre>
<p>将wordpress放入nginx目录下：</p>
<pre>mv&nbsp;./wordpress&nbsp;/usr/local/nginx-1.12.0/html</pre>
<p><strong>4.2.2在nginx中增加站点</strong><br />首先在/usr/local/nginx-1.12.0/conf/vhosts增加一个文件，名为wordpress.goodapp.net.conf，其内容如下：</p>
<pre>server&nbsp;{
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;listen&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;80;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;server_name&nbsp;&nbsp;wordpress.goodapp.net;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;access_log&nbsp;&nbsp;logs/wordpress.access.log&nbsp;&nbsp;main;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;error_log&nbsp;&nbsp;logs/wordpress.error.log;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;#root&nbsp;&nbsp;&nbsp;html;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;#index&nbsp;&nbsp;index.html&nbsp;index.htm&nbsp;index.jsp&nbsp;index.php;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;location&nbsp;/{
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;root&nbsp;html/wordpress;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;index&nbsp;index.htm&nbsp;index.html&nbsp;index.php;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;}
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;location&nbsp;~*&nbsp;\.php$&nbsp;{
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;root&nbsp;html/wordpress;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;fastcgi_pass&nbsp;127.0.0.1:9000;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;fastcgi_index&nbsp;index.php;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;fastcgi_param&nbsp;SCRIPT_FILENAME&nbsp;$document_root$fastcgi_script_name;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;include&nbsp;fastcgi_params;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;}
&nbsp;&nbsp;&nbsp;&nbsp;}</pre>
<p>然后在/usr/local/nginx-1.12.0/conf/nginx.conf中include这个文件，文件内容如下：<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3MxLjUxY3RvLmNvbS93eWZzMDIvTTAxLzk4L0MwL3dLaW9MMWtfOHd1d25JcWNBQUJqZDBkTjFLODM5MC5wbmctd2hfNTAweDAtd21fMy13bXBfNC1zXzE2NzYyMDgwODUucG5n.jpg" />&nbsp;<br />接着检查配置是否有语法错误，如果没有语法错误就重新加载配置：</p>
<pre>/usr/local/nginx-1.12.0/sbin/nginx&nbsp;–t</pre>
<p><strong>4.2.3启动应用</strong><br />首先启动nginx：</p>
<pre>systemctl&nbsp;reload&nbsp;nginx.service</pre>
<p>注：见本系列前面章节，因nginx已配置为随系统启动了，可以通过上述命令重新启动。<br />接着启动php-fpm：</p>
<pre>/usr/local/php/sbin/php-fpm</pre>
<p>这是可以观察php-fpm的启动状态：</p>
<pre>[[email&#160;protected]&nbsp;~]#&nbsp;netstat&nbsp;-lntp&nbsp;|&nbsp;grep&nbsp;9000
tcp&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0&nbsp;127.0.0.1:9000&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0.0.0.0:*&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;LISTEN&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;5498/php-fpm:&nbsp;maste</pre>
<p>如果结果不是上述，可以查看错误日志：</p>
<pre>tail&nbsp;/usr/local/php/var/log/error-log.log</pre>
<p><strong>4.2.4配置检测</strong><br />我们可以在/usr/local/nginx-1.12.0/html/wordpress中创建一个测试php页面，文件名为test.php，文件内容如下：</p>
<pre>&lt;?php
&nbsp;&nbsp;&nbsp;&nbsp;phpinfo();
?&gt;</pre>
<p>为了能在Windows宿主机中能通过域名观察结果，需要对hosts文件做修改，hosts文件位于C:\Windows\System32\drivers\etc目录，修改后的内容如下：</p>
<pre>#&nbsp;Copyright&nbsp;(c)&nbsp;1993-2009&nbsp;Microsoft&nbsp;Corp.
#
#&nbsp;This&nbsp;is&nbsp;a&nbsp;sample&nbsp;HOSTS&nbsp;file&nbsp;used&nbsp;by&nbsp;Microsoft&nbsp;TCP/IP&nbsp;for&nbsp;Windows.
#
#&nbsp;This&nbsp;file&nbsp;contains&nbsp;the&nbsp;mappings&nbsp;of&nbsp;IP&nbsp;addresses&nbsp;to&nbsp;host&nbsp;names.&nbsp;Each
#&nbsp;entry&nbsp;should&nbsp;be&nbsp;kept&nbsp;on&nbsp;an&nbsp;individual&nbsp;line.&nbsp;The&nbsp;IP&nbsp;address&nbsp;should
#&nbsp;be&nbsp;placed&nbsp;in&nbsp;the&nbsp;first&nbsp;column&nbsp;followed&nbsp;by&nbsp;the&nbsp;corresponding&nbsp;host&nbsp;name.
#&nbsp;The&nbsp;IP&nbsp;address&nbsp;and&nbsp;the&nbsp;host&nbsp;name&nbsp;should&nbsp;be&nbsp;separated&nbsp;by&nbsp;at&nbsp;least&nbsp;one
#&nbsp;space.
#
#&nbsp;Additionally,&nbsp;comments&nbsp;(such&nbsp;as&nbsp;these)&nbsp;may&nbsp;be&nbsp;inserted&nbsp;on&nbsp;individual
#&nbsp;lines&nbsp;or&nbsp;following&nbsp;the&nbsp;machine&nbsp;name&nbsp;denoted&nbsp;by&nbsp;a&nbsp;‘#‘&nbsp;symbol.
#
#&nbsp;For&nbsp;example:
#
#&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;102.54.94.97&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;rhino.acme.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;#&nbsp;source&nbsp;server
#&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;38.25.63.10&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;x.acme.com&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;#&nbsp;x&nbsp;client&nbsp;host
#&nbsp;localhost&nbsp;name&nbsp;resolution&nbsp;is&nbsp;handled&nbsp;within&nbsp;DNS&nbsp;itself.
#&nbsp;&nbsp;&nbsp;&nbsp;127.0.0.1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;localhost
#&nbsp;&nbsp;&nbsp;&nbsp;::1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;localhost
192.168.60.198&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;www.goodapp.net
192.168.60.198&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;bbs.goodapp.net
192.168.60.198&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;wordpress.goodapp.net</pre>
<p>注：192.168.60.198是CentOS7虚拟机的IP地址。<br />在浏览器中打开http:// wordpress.goodapp.net/test.php页面，效果如下：<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3MzLjUxY3RvLmNvbS93eWZzMDIvTTAxLzk4L0MwL3dLaW9MMWtfODFfeHlCYUZBQUVlMndoeFZFRTc2Ny5wbmctd2hfNTAweDAtd21fMy13bXBfNC1zXzMyODgxODQwNjUucG5n.jpg" />&nbsp;<br /><strong>4.3安装</strong><br />在宿主机打开http://wordpress.goodapp.net/wp-admin/install.php即可看到安装界面：<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3MyLjUxY3RvLmNvbS93eWZzMDIvTTAwLzk4L0MwL3dLaW9tMWtfODI3d3dwVnJBQUM0NkdVeldNdzY4Ny5wbmctd2hfNTAweDAtd21fMy13bXBfNC1zXzE4NDc1MzQyNTYucG5n.jpg" />&nbsp;<br />点击“现在就开始！”就进入安装界面，如下图：<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3MzLjUxY3RvLmNvbS93eWZzMDIvTTAwLzk4L0MwL3dLaW9MMWtfODMyRGV2ekpBQUNSMGpQb1FCODM3Ni5wbmctd2hfNTAweDAtd21fMy13bXBfNC1zXzM2Mjc3MjYwMjkucG5n.jpg" />&nbsp;<br />在本篇《4.1.2MySQL数据库准备》中我们已经创建了wordpress库和wordpress用户，其密码为WordPress，将上述信息填写并提交即完成wordpress的安装。<br />完成安装后的wordpress后台管理首页效果如下：<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3M0LjUxY3RvLmNvbS93eWZzMDIvTTAxLzk4L0MwL3dLaW9tMWtfODVEaVZnampBQUczMjlzT1Zwdzg4NS5wbmctd2hfNTAweDAtd21fMy13bXBfNC1zXzM5OTg4Nzg2NjkucG5n.jpg" />&nbsp;<br />至于wordpress如何使用这里就不详述了，感兴趣的可以去其官网看手册，这里主要是用wordpress来检查nginx+php-fpm是否配置正确。<br /><strong>5.MySQL主从效果检查</strong><br />感兴趣的朋友可以看一下我们上一篇讲的MySQL主从配置是否正确，下面是我用HeidiSQL这个开源的数据库管理工具查看到的主从数据库的界面：<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3MxLjUxY3RvLmNvbS93eWZzMDIvTTAyLzk4L0MwL3dLaW9tMWtfODZMUVB0cGpBQUczMjlzT1ZwdzU3MC5wbmctd2hfNTAweDAtd21fMy13bXBfNC1zXzI0NDcyMjU5MjQucG5n.jpg" />&nbsp;<br />注：HeiDiSQL官网：https://www.heidisql.com，可免费下载使用，支持PostgreSQL、MySQL及SQL Server。<br /><strong>6.总结</strong><br />本篇讲述了如何编译PHP及通过配置让Nginx借助php-fpm来支持php应用，最后通过一个php应用wordpress的安装和配置来检查nginx+php-fpm是否配置正确，并且在本篇也检验了上一篇所述的MySQL主从复制是否正常工作。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 00:34:55 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/linux/" title="linux">linux</a>, <a href="https://www.biecuoliao.com/tag/centos/" title="centos">centos</a>, <a href="https://www.biecuoliao.com/tag/mysql/" title="mysql">mysql</a>, <a href="https://www.biecuoliao.com/tag/nginx/" title="nginx">nginx</a>, <a href="https://www.biecuoliao.com/tag/php-fpm/" title="php-fpm">php-fpm</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>开发人员学Linux(7)：CentOS7编译安装PHP并配置PHP-FPM的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pvmgR0.html" rel="bookmark">开发人员学Linux&lpar;10&rpar;：CentOS7安装配置代码质量管理平台SonarQube6&period;4</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.前言上一章讲述了如何配置使用源代码管理工具SVN并使之与Apache集成,从而实现代码的变更可追溯,虽然在大多数团队里强调代码提交之前必须找团队中经验丰富的人来审核通过后方可提交,但这一条有时候不是所有时候都能得到满足,有没有依赖于机制而不是人来保证代码质量呢,我们知道计算机的缺点也是优点之一就是可以忠实执行指令.答案是有的,那就是SonarQube,其官方网址为:https://www.sonarqube.org/,目前最新版本为6.4.SonarQube是一个开源平台,用于管理源代码的质			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/n3Z9A80.html" rel="bookmark">开发人员学Linux&lpar;4&rpar;：使用JMeter对网站和数据库进行压力测试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言表面看来,JMeter与本系列课程似乎关系不大,但实际上在后面的很多场景中起着重要作用:如何获知修改了某些代码或者设置之后系统性能是提升了还是下降了呢?商业的压力测试工具LoadRunner确实很高大上,但是据说费用也不便宜且体积也不小,而目前最高版本的开源免费压力测试工具JMeter3.2压缩包体积才不到53M,而且对于开发人员而非专业测试人员来说,JMeter提供的测试功能已经够强大了.要完整地介绍JMeter,即使把JMeter自带的文档翻译成中文就是一本厚厚的书了.但是在本篇只讲述如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBjXLjM.html" rel="bookmark">开发人员学Linux之终结篇：大型系统开发经验谈</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.前言这篇文章来源于我的一个ppt,而这个ppt是源于一个朋友的一次邀请,朋友邀请我为一个公司做一堂大约2小时的技术讲座,我选定的方向是如何开发一个大型系统,在这里我对大型系统的定义为日均PV在千万级以上,而京东和淘宝这类则属于巨型系统了.因此在本篇中讲述的都是基于一些开源免费的技术实现,至于那些通过F5硬件加速.DNS来实现负载均衡.CDN加速等需要花钱购买的技术或者服务则不再本篇介绍范围之类.本来此篇是作为&lt;开发人员学Linux&gt;系列的终结篇最后出现的,但是考虑到在此过程中我可能会由于时			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/D3O2EK0.html" rel="bookmark">开发人员学Linux&lpar;6&rpar;：CentOS7编译安装MySQL5&period;17&period;8多实例及主从复制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.前言上一篇讲述了如何在CentOS7下编译安装Nginx-1.12.0并如何配置反向代理,本篇将讲述如何编译安装MySQL5.7.18并配置多实例.2.准备2.1下载MySQL5.7.18源码注意最新版本的MySQL需要Boost才能编译安装,在MySQL提供的下载中有不带boost的源码,还有带boost的源码,如果下载不带boost的源码还需要再去下载boost源码,为省事起见,建议下载带boost的源码,下载地址:https://cdn.mysql.com//Downloads/MyS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vjJx63.html" rel="bookmark">开发人员学Linux&lpar;9&rpar;：CentOS7编译安装Git-2&period;13&period;1及使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.前言在上一篇讲述了如何在CentOS7上编译安装Subversion1.9.5和Apache2.4.25,并与Apache2.4.25集成,达到多个SVN版本库集中授权控制的效果.在传统的企业里面使用SVN来作为源代码版本工具的比例是比较高的,但在一些互联网企业里面很多已经在使用git来作为源代码版本管理工具了.网上关于SVN和Git的比较说明是很多的,其中最重要一个区别就是SVN是集中式的,git是分布式的,比如要查看版本库的历史提交记录,在SVN中必须要在能够连接到SVN服务器才可以,而			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lWxwZM.html" rel="bookmark">开发人员学Linux&lpar;8&rpar;：CentOS7编译安装Subversion1&period;9&period;5及Apache2&period;4&period;25并集成</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.前言本篇将介绍如何编译安装SVN服务器端管理软件subverion和Web服务器Apache.本来在前面的系列文章已经讲过使用Nginx作为Web服务器的,所以我一直在找有关subverion集成nginx的资料,在此过程中找到了Nginx作者Igor Sysoev在回答别人类似问题的网址,网址是http://mailman.nginx.org/pipermail/nginx/2007-January/000504.html,不过按照Igor Sysoev的回答并没有成功,因此仍回到Apac			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoxNxl0.html" rel="bookmark">开发人员学Linux&lpar;5&rpar;：CentOS7编译安装Nginx并搭建Tomcat负载均衡环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.前言在上一篇讲述了JMeter的使用,在本篇就可以应用得上了.本篇将讲述如何编译安装Nginx并利用前面的介绍搭建一个负载均衡测试环境.2.软件准备Nginx-1.12.0,下载地址:https://nginx.org/download/nginx-1.12.0.tar.gzTomcat8(本系列已介绍过如何下载和安装)JMeter(本系列已介绍过如何下载和使用)注:VirtualBox宿主机IP为&quot;192.168.60.16,虚拟机IP为:192.168.60.198,虚拟机通过桥接方式接			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3weZ81M.html" rel="bookmark">开发人员学Linux&lpar;3&rpar;：CentOS7中安装JDK8和Tomcat8</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题外话:直到今天开始写本系列的第三篇时本人才想好为这个系列取一个名字,本系列不是为Linux运维人员准备的,而是主要为开发人员准备的,包括但不限于:希望了解Linux的开发人员:需要在Linux上部署一些组件的开发人员,如Memcached/Nginx/Redis等:需要使用一些在Linux上部署运行效果可能会更好的效果的系统,如Jetkins.SVN.JavaMelody等.希望了解一些当前较热的技术,想在虚拟机里搭建个环境把玩一番的,如.Net Core/Hadoop等.因此在本系列文章中不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0R2OAR0.html" rel="bookmark">开发人员学Linux&lpar;13&rpar;：CentOS7安装配置IT设备监控系统Zabbix</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.前言 在前一篇讲述了如何安装Memcached和Redis,在这一篇主要讲述如何安装企业级IT设备监控系统Zabbix.本人曾在某大型集团公司信息化部门工作,公司在多个城市以及一个城市的多个区有办公区,在那里不仅会开发软件系统,还需要对大量的软件系统.操作系统及IT设备进行监控,以保证IT基础设施能够7×24小工作.在没有实施系统之前,经常接到电话被告知网络中断了或是某个应用程序无法使用了,每次接到电话之后首先要排除是否误报,然后再分析是哪里出了问题,最终找出解决办法.每次处理事情的周期很长			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/W0jbo90.html" rel="bookmark" class="title">css特性</a>
					<div>
						1．继承 css某些样式具有继承样式,继承是一种规则,允许样式不仅应用与某个特定html标签,而且应用于其后代 &lt;p style=&quot;color:red;font-size: 12px& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/VMGkmQM.html" rel="bookmark" class="title">destoon 后台入口文件分析</a>
					<div>
						&lt;?php/* [Destoon B2B System] Copyright (c) 2008-2015 www.destoon.com This is NOT a freeware, use  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lXQEL0.html" rel="bookmark" class="title">Nginx基础笔记</a>
					<div>
						Nginx基础笔记 资源 安装 ubuntu下 编译安装 基本操作 HTTP基本配置 配置说明 配置文件目录结构 配置文件结构 模块 模块化 index模块 Log模块 Real IP模块 Acces ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/My5w8eM.html" rel="bookmark" class="title">Linux云自动化运维第二十课</a>
					<div>
						第五单元 iSCSI远程块存储 一.iSCSI概念 iSCSI(Internet SCSI)支持从客户端(发起端)通过IP向远程服务器上的SCSI存储设备(目标)发送SCSI命令.iSCSI限定名称用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ennjg3.html" rel="bookmark" class="title">BZOJ1827 &lbrack;Usaco2010 Mar&rsqb;gather 奶牛大集会</a>
					<div>
						题意:给定一棵树,求出树上的一点,使得树上的全部点到该点的距离之和最小. 思路:暴力显然是O(N^2)等死对吧. 我们首先将无根树转化为有根树,然后一边dfs求出f[i],size[i]. f[i]表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoGaxkM.html" rel="bookmark" class="title">POJ1276&colon;Cash Machine&lpar;多重背包）</a>
					<div>
						题目:http://poj.org/problem?id=1276 多重背包模板题,没什么好说的,但是必须利用二进制的思想来求,否则会超时,二进制的思想在之前的博客了有介绍,在这里就不多说了. #in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xRX6k4.html" rel="bookmark" class="title">为iOS项目添加Daily Build</a>
					<div>
						很多人在说到Daily Build的时候总是喜欢背书.背书就背书吧,总比混迹软件行业连书都没看过的强.很久以前遇到一个奇葩.每次到代码提交测的通知就着急忙慌的催促组员赶紧干活,开始严重加班,晚饭都不吃 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wRDgb0.html" rel="bookmark" class="title">BZOJ3754 Tree之最小方差树</a>
					<div>
						Orz AutSky_JadeK他已经讲的很详细了,我只是个酱油233 (p.s. 这输出样例是错的...对的应该是0.7071貌似= =) 1 /************************** ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3O7x7K3.html" rel="bookmark" class="title">Android 仿微信QQ聊天界面</a>
					<div>
						一些IM聊天软件的展现形式是左右分开的形式.比如说,别人给你发的信息全部靠左显示,你自己发给别人的信息全部靠右显示. 而我们的ListView很多时候是显示同一个布局,其实BaseAdapter中有2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bYbEYM.html" rel="bookmark" class="title">&lbrack;CVE-2017-5487&rsqb; WordPress &amp;lt&semi;&equals;4&period;7&period;1 REST API 内容注入漏洞分析与复现</a>
					<div>
						不是很新的漏洞,记录下自己的工作任务 漏洞影响: 未授权获取发布过文章的其他用户的用户名.id 触发前提:wordpress配置REST API 影响版本:&lt;= 4.7 0x01漏洞复现 复现环 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/388lRy3.html" rel="bookmark" class="title">C&num;之委托（二）</a>
					<div>
						其实在上一篇委托(一)中,创建委托还是太繁琐了点.代码量过多,可能会妨碍我们对代码和逻辑的理解.有些时候可能处理逻辑的代码都笔声明委托的代码要少,这就不可避免的增加了重复代码的量.所以在c#2中极大的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47DDeyM.html" rel="bookmark" class="title">MFC 打开文件&sol;打开路径</a>
					<div>
						void CMFCOpenFileOrDirectoryDlg::OnBnClickedButton1() { //打开文件 CFileDialog dlgOpen(TRUE/*TRUE打开,FALS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j19qZM.html" rel="bookmark" class="title">Android基础入门教程&mdash;&mdash;9&period;4 使用MediaRecord录音</a>
					<div>
						Android基础入门教程--9.4 使用MediaRecord录音 标签(空格分隔): Android基础入门教程 本节引言 本节是Android多媒体基本API调用的最后一节,带来的是MediaR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoavLb3.html" rel="bookmark" class="title">python系列------计算机运算过程</a>
					<div>
						计算机如何做运算 在计算机系统中,数值一律用补码来表示 正数的补码 正数的补码和源码相同. 负数的补码 符号位不变,其他位取反再加1. 表达式 转为反码 转为补码 计算结果 转为源码 10+2 000 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZQRVZ0.html" rel="bookmark" class="title">使用 IN 的子查询</a>
					<div>
						通过 IN(或 NOT IN)引入的子查询结果是一列零值或更多值.子查询返回结果之后,外部查询将利用这些结果. 下列查询会找到所有曾出版过商业书籍的出版商的名称. USE pubs SELECT pu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bLblm4.html" rel="bookmark" class="title">新安装的wampserver怎么使用本机已有的mysql作为数据库</a>
					<div>
						一般在一台没有安装mysql的机器上安装好wamp后,能够直接在wamp的phpMyAdmin中打开集成的mysql并设置用户信息. 而假设之前已经安装配置好mysql(实usernamepasswo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoXRKB0.html" rel="bookmark" class="title">iOS开发 -- 发送JSON数据给服务器</a>
					<div>
						- (void)touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event { // 1.URL NSURL *url = [NSURL URLW ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38Dyey3.html" rel="bookmark" class="title">Flume分布式日志收集系统</a>
					<div>
						1.flume是分布式的日志收集系统,把收集来的数据传送到目的地去.2.flume里面有个核心概念,叫做agent.agent是一个java进程,运行在日志收集节点.通过agent接收日志,然后暂存起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rpkZgM.html" rel="bookmark" class="title">Spring 3 来创建 RESTful Web Services</a>
					<div>
						Spring 3 创建 RESTful Web Services 在 Java™ 中,您可以使用以下几种方法来创建 RESTful Web Service:使用 JSR 311(311)及其参考实现  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n8BLK4.html" rel="bookmark" class="title">周杰伦证实昆凌已经怀孕 因碍于习俗才公开</a>
					<div>
						周杰伦证实昆凌已经怀孕 因碍于习俗才公开  周杰伦证实昆凌已经怀孕 因碍于习俗才公开  周杰伦证实昆凌已经怀孕 因碍于习俗才公开  周杰伦证实昆凌已经怀孕 因碍于习俗才公开  周杰伦证实昆凌已经怀孕  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
